Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class EndpointsComboBoxModel

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.support.EndpointsComboBoxModel

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, javax.swing.ComboBoxModel, javax.swing.ListModel

    public class EndpointsComboBoxModel

extends java.lang.Object
implements javax.swing.ComboBoxModel, java.beans.PropertyChangeListener

ComboBox model for a request endpoint

Author:
  Ole.Matzura

Constructor Summary
`EndpointsComboBoxModel(WsdlRequest request)`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`java.lang.Object` | `getElementAt(int index)`
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `refresh()`
`void` | `release()`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`void` | `setSelectedItem(java.lang.Object anItem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointsComboBoxModel

    public EndpointsComboBoxModel(WsdlRequest request)

Method Detail

### setSelectedItem

    public void setSelectedItem(java.lang.Object anItem)

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`

### refresh

    public void refresh()

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.